commit:     e7d0eed9c704d811f0804d84a135e2b4f95085f2
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 25 00:27:58 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun 25 00:28:44 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7d0eed9

app-crypt/gpa: allow build w/ >=libassuan-3

Delete the bundled macro so it uses the system copy which knows libassuan-3
is compatible with libassuan-2 API-wise.

(Just as we did for pinentry in 7b07caa9d1459f9cba33cb8e7fceddf23a36583d.)

Closes: https://bugs.gentoo.org/934802
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-crypt/gpa/gpa-0.10.0-r1.ebuild | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/app-crypt/gpa/gpa-0.10.0-r1.ebuild 
b/app-crypt/gpa/gpa-0.10.0-r1.ebuild
index 52059a6633ed..8973ba9f49fe 100644
--- a/app-crypt/gpa/gpa-0.10.0-r1.ebuild
+++ b/app-crypt/gpa/gpa-0.10.0-r1.ebuild
@@ -24,8 +24,10 @@ RDEPEND="
        >=x11-libs/gtk+-2.10.0:2=
 "
 DEPEND="${RDEPEND}"
-BDEPEND="virtual/pkgconfig
-       nls? ( sys-devel/gettext )"
+BDEPEND="
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )
+"
 
 PATCHES=(
        "${WORKDIR}"/${P}-autoconf.patch
@@ -33,7 +35,12 @@ PATCHES=(
 
 src_prepare() {
        default
-       sed -i 's/Application;//' gpa.desktop
+
+       sed -i 's/Application;//' gpa.desktop || die
+
+       # bug #934802 (can drop on next release > 0.10.0)
+       rm m4/libassuan.m4 || die
+
        eautoreconf
 }
 

Reply via email to